Package gov.nasa.gsfc.sscweb.schema

# Class SatelliteCondition

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Condition
gov.nasa.gsfc.sscweb.schema.SatelliteCondition

public class SatelliteCondition extends Condition
Satellite condition type. <p>Java class for SatelliteCondition complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="SatelliteCondition"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}Condition"> <sequence> <element name="Satellite" type="{http://sscweb.gsfc.nasa.gov/schema}Satellite" maxOccurs="unbounded"/> <element name="SatelliteCombination" type="{http://www.w3.org/2001/XMLSchema}int"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Satellite>`
  `satellite`
  Satellite specification.
  `protected int`
  `satelliteCombination`
  The minimum number of satellites that must satisfy this condition.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SatelliteCondition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Satellite>`
  `getSatellite()`
  Satellite specification.
  `int`
  `getSatelliteCombination()`
  The minimum number of satellites that must satisfy this condition.
  `void`
  `setSatelliteCombination(int value)`
  Sets the value of the satelliteCombination property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### satellite

    protected List<Satellite> satellite
    Satellite specification.

  - ### satelliteCombination

    protected int satelliteCombination
    The minimum number of satellites that must satisfy this condition.

- ## Constructor Details

  - ### SatelliteCondition

    public SatelliteCondition()

- ## Method Details

  - ### getSatellite

    public List<Satellite> getSatellite()
    Satellite specification. Gets the value of the satellite property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the satellite property.

    For example, to add a new item, do as follows:

         getSatellite().add(newItem);

    Objects of the following type(s) are allowed in the list `Satellite`

    Returns:
      The value of the satellite property.

  - ### getSatelliteCombination

    public int getSatelliteCombination()
    The minimum number of satellites that must satisfy this condition.

  - ### setSatelliteCombination

    public void setSatelliteCombination(int value)
    Sets the value of the satelliteCombination property.